## statsmodels 0.8.0~rc1+git59

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = build
TOOLSPATH	  = ../tools/
DATASETBUILD  = dataset_rst.py
EXAMPLEBUILD  = examples_rst.py
NOTEBOOKBUILD = nbgenerate.py
FOLDTOC  = fold_toc.py

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html      to make standalone HTML files"
	@echo "  dirhtml   to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle    to make pickle files"
	@echo "  json      to make JSON files"
	@echo "  htmlhelp  to make HTML files and a HTML help project"
	@echo "  qthelp    to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex     to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  changes   to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck to check all external links for integrity"
	@echo "  doctest   to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*
	-rm -rf source/generated/
	-rm -rf source/generated/examples/notebooks/
	-rm -rf source/dev/generated/
	-rm -rf ../examples/executed/

cleanall: clean cleancache

cleancache:
	-rm source/examples/generated/*
	-rm -rf source/examples/notebooks/generated/*
	-rm -rf ../tools/hash_dict.pickle
	-rm -rf source/datasets/generated/*

notebooks:
	@echo "Generating notebooks from examples/notebooks folder"
	$(TOOLSPATH)$(NOTEBOOKBUILD) --execute=True --allow_errors=True

html:
	# generate the examples rst files
	@echo "Generating reST from examples folder"
	#$(TOOLSPATH)$(EXAMPLEBUILD)
	@echo "Generating datasets from installed statsmodels.datasets"
	$(TOOLSPATH)$(DATASETBUILD)
	@echo "Generating notebooks from examples/notebooks folder"
	$(TOOLSPATH)$(NOTEBOOKBUILD) --execute=True --allow_errors=True
	@echo "Running sphinx-build"
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo "Copying rendered example notebooks"
	mkdir -p $(BUILDDIR)/html/examples/notebooks/generated
	cp source/examples/notebooks/generated/*html $(BUILDDIR)/html/examples/notebooks/generated
	#$(TOOLSPATH)$(EXAMPLEBUILD)
	$(TOOLSPATH)$(FOLDTOC) $(BUILDDIR)/html/index.html
	#$(TOOLSPATH)$(FOLDTOC) $(BUILDDIR)/html/examples/index.html ../_static
	$(TOOLSPATH)$(FOLDTOC) $(BUILDDIR)/html/dev/index.html ../_static
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/esip.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/esip.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/esip"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/esip"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	./fix_longtable.py $(BUILDDIR)
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	./fix_longtable.py $(BUILDDIR)
	@echo "Running LaTeX files through pdflatex..."
	make -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

## statsmodels 0.8.0~rc1+git59-gef47cd9

=== debian/changelog ===
statsmodels (0.8.0~rc1+git59-gef47cd9-5) unstable; urgency=medium

  * Team upload.
  * Fix test skipping for s390

 -- Ole Streicher <olebole@debian.org>  Mon, 26 Dec 2016 18:33:56 +0100

statsmodels (0.8.0~rc1+git59-gef47cd9-4) unstable; urgency=medium

  * Team upload.
  * Disable test_smoke_plot_and_repr() and test_pandas() on s390x:
    probably a matplotlib bug there

 -- Ole Streicher <olebole@debian.org>  Mon, 26 Dec 2016 15:38:06 +0100

statsmodels (0.8.0~rc1+git59-gef47cd9-3) unstable; urgency=medium

  * Work around a Pandas readttable bug to fix (temporary) FTBFS on i386

 -- Ole Streicher <olebole@debian.org>  Mon, 26 Dec 2016 11:46:23 +0100

statsmodels (0.8.0~rc1+git59-gef47cd9-2) unstable; urgency=medium

  * Team upload.
  * Move package to Debian Science Team maintenance (permission from
    Yaroslav Halchenko)
  * Fix index type in `reshape` to be integer. Closes: #848782

 -- Ole Streicher <olebole@debian.org>  Sun, 25 Dec 2016 14:52:31 +0100

statsmodels (0.8.0~rc1+git59-gef47cd9-1) unstable; urgency=medium

  * Fresh upstream rc snapshot which hopefully addresses some
    outstanding FTBFS etc issues
  * debian/control
    - allow for ipython >= 5 as alternative to ipython for now,
      and also for traitlets explicitly on those newer systems
      (Closes: #843414)
    - adjusted vcs-browser (Closes: #843407)
  * debian/rules
    - skip test_plot_month test
      (see https://github.com/statsmodels/statsmodels/issues/3283)
  * debian/patches/up_3239
    - to cast index into array before sorting (Closes: #841610)

 -- Yaroslav Halchenko <debian@onerussian.com>  Sat, 19 Nov 2016 19:37:43 -0500

=== debian/control ===
Source: statsmodels
Section: python
Priority: extra
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Yaroslav Halchenko <debian@onerussian.com>, Michael Hanke <michael.hanke@gmail.com>
Build-Depends: debhelper (>= 7.0.50~),
               python-all-dev, python-setuptools,
               python-numpy (>= 1:1.4.0),
               python-scipy,
               python-nose,
               python-matplotlib,
               python-pandas,
               python-joblib,
               cython,
               python-patsy,
               python-cvxopt,
Build-Depends-Indep:
               ipython (>= 5~) | ipython-notebook (>= 0.13.1) | ipython01x,
               python-traitlets | ipython-notebook (>= 0.13.1) | ipython01x,
               python-zmq,
               python-sphinx (>= 1.0.6),
               python-numpydoc,
               nodejs,
               pandoc,
Standards-Version: 3.9.8
X-Python-Version: >= 2.7
Homepage: http://statsmodels.sourceforge.net/
Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/statsmodels.git
Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/statsmodels.git

Package: python-statsmodels
Architecture: all
Depends: ${misc:Depends}, ${python:Depends},
         python-numpy,
         python-scipy,
         python-statsmodels-lib (>= ${source:Version}),
         python-patsy
Recommends: python-pandas,
            python-matplotlib,
            python-nose,
            python-joblib,
            python-cvxopt,
Suggests: python-statsmodels-doc,
Provides: ${python:Provides}
Conflicts: python-scikits-statsmodels, python-scikits.statsmodels (<< 0.4)
Replaces: python-scikits-statsmodels, python-scikits.statsmodels (<< 0.4)
Description: Python module for the estimation of statistical models
 statsmodels Python module provides classes and functions for the
 estimation of several categories of statistical models. These
 currently include linear regression models, OLS, GLS, WLS and GLS
 with AR(p) errors, generalized linear models for six distribution
 families and M-estimators for robust linear models. An extensive list
 of result statistics are available for each estimation problem.

Package: python-statsmodels-lib
Architecture: any
Depends: ${misc:Depends}, ${python:Depends}, ${shlibs:Depends},
         python-numpy
Conflicts: python-scikits-statsmodels, python-scikits.statsmodels (<< 0.4)
Replaces: python-scikits-statsmodels, python-scikits.statsmodels (<< 0.4)
Description: low-level implementations and bindings for statsmodels
 This package contains architecture dependent extensions for
 python-statsmodels.

Package: python-statsmodels-doc
Conflicts: python-scikits-statsmodels-doc, python-scikits.statsmodels-doc
Replaces: python-scikits-statsmodels-doc, python-scikits.statsmodels-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}, libjs-jquery
Recommends: libjs-mathjax
Suggests: python-statsmodels
Description: documentation and examples for statsmodels
 This package contains HTML documentation and example scripts for
 python-statsmodels.

=== debian/rules ===
#!/usr/bin/make -f
# -*- mode: makefile; coding: utf-8 -*-

# override HOME (for weave) and matplotlib config directory
# to allow building in chroots with read-only HOME
export HOME=$(CURDIR)/build
export MPLCONFIGDIR=$(HOME)

PACKAGE_NAME = python-statsmodels
PACKAGE_ROOT_DIR = debian/${PACKAGE_NAME}

PYVERS = $(shell pyversions -vr)
PYVER = $(shell pyversions -vd)

UVER := $(shell LC_ALL=C dpkg-parsechangelog | awk '/^Version:/{print $$2;}' | sed -e 's,-[^-]*$$,,g')
CYTHONVER := $(shell dpkg -l cython | awk '/^ii/{print $$3;}' || echo 0)
MPLVER := $(shell dpkg -l python-matplotlib | awk '/^ii/{print $$3;}' || echo 0)
IPYTHONVER := $(shell ipython -V || echo 0) # 0.12 is needed to build docs, otherwise use IPython01x
IPYTHONPATH := $(shell dpkg --compare-versions $(IPYTHONVER) lt 0.13 \
				 && echo ":/usr/lib/python$(PYVER)/dist-packages/IPython01X" || echo '')

MIN_CYTHONVER = 0.19

ifeq (,$(filter noopt,$(DEB_BUILD_OPTIONS)))
export OPT+=-g -O0
endif

%:
	dh  $@ --with python2


cythonize:
	find statsmodels -iname *.pyx | sed -e 's,\.pyx,\.c,g' | xargs -r rm -f
	: # since there is no cython command and I have no time...
	python setup.py build_ext --inplace -f
	mkdir -p debian/cythonized-files
	cp $$(find statsmodels -iname *.pyx | sed -e 's,\.pyx,\.c,g') debian/cythonized-files
	echo "$(UVER)" >| debian/cythonized-files/VERSION


override_dh_auto_configure:
	dpkg --compare-versions $(CYTHONVER) lt $(MIN_CYTHONVER) && { \
		echo "I: Using pre-Cython-ed files"; \
		find -iname *pyx | while read p; do \
		  f=$$(basename $$p); f=$${f%%.pyx}; d=$$(dirname $$p); \
		  cp -rp debian/cythonized-files/$$f.c $$d/; done; } || :
	dh_auto_configure


override_dh_auto_test:
	: # overriden since testing happens against installed version across
	: # all supported python versions

# To guarantee HOME existence with mpl 1.3.0
# See https://github.com/matplotlib/matplotlib/issues/2300
#     http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=719384
$(HOME):
	mkdir "$@"

# Build docs during build
override_dh_auto_build: $(HOME)
	dh_auto_build
	: # Hardcode backend to Agg to avoid doc build and tests failures
	echo "backend : Agg" >| $(MPLCONFIGDIR)/matplotlibrc


doc-stamp: python-install$(PYVER)
	: # I: Generate documentation
	: # Build Documentation -- assure existence of build/html for nodoc
	mkdir -p build/html
ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
	PYTHONPATH=`/bin/ls -d $(CURDIR)/$(PACKAGE_ROOT_DIR)/usr/lib/python$(PYVER)/*/`:$(CURDIR)$(IPYTHONPATH) \
	 $(MAKE) -C docs html
	mv docs/build/* build/
	: # Fix up links to MathJax to be local
	grep -l '/mathjax/' -R build/html/examples/notebooks \
	| xargs -r sed -i -e 's,https://\S*.com/mathjax/latest/MathJax.js,file:///usr/share/javascript/mathjax/MathJax.js,g'
	rm -rf docs/source/generated/
endif
	touch $@

override_dh_auto_clean: $(HOME)
	dh_auto_clean
	-rm -f cythonize.dat

override_dh_clean:
	dh_clean
	rm -rf build *-stamp *.egg-info docs/source/generated
	: # Remove autogenerated version.py
	rm -f statsmodels/version.py
	rm -f doc-stamp

override_dh_auto_install: ${PYVERS:%=python-install%} ${PYVERS:%=python-test%}

# Per Python version logic -- install, test, move .so into -lib
python-install%:
	python$* setup.py install --install-layout=deb --root=$(PACKAGE_ROOT_DIR)

python-test%: python-install%
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	: # Run unittests here against installed statsmodels
	cd build/ && \
	 PYTHONPATH=`/bin/ls -d $(CURDIR)/$(PACKAGE_ROOT_DIR)/usr/lib/python$*/*/` \
	 MPLCONFIGDIR=$(CURDIR)/build \
	 python$* /usr/bin/nosetests -s -v --exclude=sandbox --exclude=test_plot_month statsmodels
else
	: # Skip unittests due to nocheck
endif


override_dh_install:
	dh_install
	: # Remove compiled due to testing files
	find debian -name *.pyc -delete
	: # strip docs/ since they aren't really a Python module, there is -doc for it
	: # TODO find debian -wholename \*scikits/statsmodels/docs | xargs rm -rf
	find debian -iname COPYING -o -iname LICENSE* | xargs -r rm -f


## immediately useable documentation and exemplar scripts/data
override_dh_compress:
	dh_compress -X.py -X.html -X.pdf -X.css -X.jpg -X.txt -X.js -X.json -X.rtc -X.inv -Xobjects.inv


override_dh_installdocs:
	: # Use jquery from Debian package, so prune shipped one
	-rm ./build/html/_static/jquery.js
	dh_installdocs


## move binary libraries into -lib
override_dh_python2:
	: # Move platform-specific libraries into -lib
	for lib in $$(find $(PACKAGE_ROOT_DIR)/usr -name '*.so'); do \
	   sdir=$$(dirname $$lib) ; \
	   tdir=$(PACKAGE_ROOT_DIR)-lib/$${sdir#*$(PACKAGE_NAME)/} ; \
	   mkdir -p $$tdir ; \
	   echo "I: Moving '$$lib' into '$$tdir'." ; \
	   mv $$lib $$tdir ; \
	done
	if [ -x /usr/bin/dh_numpy ]; then dh_numpy -ppython-statsmodels-lib; fi
	: # Prune scikits/__init__.py to avoid conflicts
	find debian -wholename \*scikits/__init__.py -delete
	: # Move scikits. space into a compatibility package
	set -e; \
	find debian -wholename \*scikits -type d | while read skd; do \
		skbd=$$(dirname $$skd); \
		skbd_=$$(echo $$skbd | sed -e 's/python-statsmodels/python-scikits.statsmodels/g'); \
		mkdir -p $$skbd_; \
		mv $$skd $$skbd_; \
	done
	dh_python2

# We build documentation only for -indep
binary-indep: doc-stamp
binary: binary-arch binary-indep


get-orig-source:
	uscan --upstream-version 0 --rename

## statsmodels 0.8.0

=== docs/Makefile ===
--- 
+++ 
@@ -58,6 +58,9 @@
 	$(TOOLSPATH)$(NOTEBOOKBUILD) --execute=True --allow_errors=True
 
 html:
+    # make directories for images
+	@echo "Make static directory for images"
+	mkdir -p $(BUILDDIR)/html/_static
 	# generate the examples rst files
 	@echo "Generating reST from examples folder"
 	#$(TOOLSPATH)$(EXAMPLEBUILD)

=== tools/R2nparray/DESCRIPTION ===
Package: R2nparray
Version: 0.1
Date: 2011-08-23
Title: R to Numpy Arrays
Author: Skipper Seabold <jsseabold@gmail.com>
Maintainer: Skipper Seabold <jsseabold@gmail.com>
Description: Writes R matrices, vectors, and scalars to a file as numpy arrays
License: BSD
URL: http://www.github.com/statsmodels/statsmodels
Repository: github
Collate:
    'R2nparray-package.R'
    'R2nparray.R'

=== debian/changelog ===
statsmodels (0.8.0-6) unstable; urgency=medium

  * Build the architecture dependent files before building documentation
  * Add myself to uploaders.

 -- Diane Trout <diane@ghic.org>  Fri, 29 Sep 2017 22:17:33 -0700

statsmodels (0.8.0-5) unstable; urgency=medium

  * Team Upload

  [ Diane Trout ]
  * add sphinx-common to Build-Depends which fixes a FTBFS caused by
    Sphinxdoc.pm not being present when building binary only packages.
  * Split dh_auto_build-arch and dh_auto_build-indep targets so we only
    build the docs once.

 -- Diane Trout <diane@ghic.org>  Fri, 29 Sep 2017 16:48:20 -0700

statsmodels (0.8.0-4) unstable; urgency=medium

  * Team upload

  [ Diane Trout ]
  * Add python-dateutil, patsy, tk as build depends
    Marking nose & tk as !nocheck
  * Add Python3 support
    (Closes: #729956) (Closes: #782963) (Closes: #834495)
  * Update Python 3 build depends, add components necessary to build
    notebook examples
  * Lintian warned that Conflicts with version should probably be Breaks
  * Add use-system-inventory patch to use intersphinx inventory files from
    other Debian doc packages.
    Added those packages to the -doc package suggests list
  * Let dh_sphinxdoc manage jquery dependencies.
    Add libjs-requirejs for building notebooks.
  * Use Python 3 for documentation building, and enable building notebook
    examples as jupyter components are now available in stable.
  * Extend a python3-statsmodels-lib description to make lintian happier
  * Cleanup more files that might be generated during build
  * Exclude test_sarimax test_structural test_dynamic_factor test_varmax
    from unit testing
    Closes: #873512
  * add patch use-cached-datasets, and cache all of the get_rdataset
    datasets in debian/datasets/. This is needed so the documentation will
    build without network access.
  * Document data files needed for documentation in debian/README.source

  [ Andreas Tille ]
  * Standards-Version: 4.1.0 (no changes needed)
  * Add remark about documenting R data to debian/README.source
  * Updating d/copyright
  * DEP3

 -- Diane Trout <diane@ghic.org>  Tue, 26 Sep 2017 23:55:47 -0700

statsmodels (0.8.0-3) unstable; urgency=medium

  * Team upload.
  * d/rules: do not run the testsuite when only building arch:all packages.
    (Closes: #872603)
  * d/copyright: use https form for the copyright-format URL.
  * d/control:
    + promote the package to priority optional, per policy 4.0.1.
    + bump Standards-Version to 4.0.1.

 -- Sébastien Villemot <sebastien@debian.org>  Sat, 19 Aug 2017 11:42:08 +0200

statsmodels (0.8.0-2) unstable; urgency=medium

  * Team upload.
  
  [ Sébastien Villemot ]
  * Upload to unstable
  * d/rules: fix logic of {build,binary}-indep for building doc.
  * d/control:
    + add missing build-dependency on dh-python.
    + promote python-pandas to a Depends. It is really needed if one wants to
      import statsmodels (and otherwise autopkgtest fails).

  [ Andreas Tille ]
  * d/p/skip_tests_failing_due_to_panda_issue.patch: new patch, removes tests
    from test suite that fail because of pandas and can not easily be fixed.
  * d/p/fix_numdocpy_issue.patch: new patch, fixes other issue with numpydoc.
    (Closes: #868977)

  [ Yaroslav Halchenko ]
  * Bump to debhelper compat level 9.

 -- Sébastien Villemot <sebastien@debian.org>  Fri, 18 Aug 2017 22:40:39 +0200

statsmodels (0.8.0-1) experimental; urgency=medium

  * Fresh upstream release resolving various compatibility issues etc
    - absborbs some of previously carried patches (dropped from quilt):
      fix_wrong_index_type.patch
      workaround_panda_readtable_bug.patch

 -- Yaroslav Halchenko <debian@onerussian.com>  Wed, 08 Feb 2017 13:08:38 -0500

=== debian/control ===
Source: statsmodels
Section: python
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Yaroslav Halchenko <debian@onerussian.com>, Michael Hanke <michael.hanke@gmail.com>, Diane Trout <diane@ghic.org>
Build-Depends: debhelper (>= 9),
               sphinx-common,
               python-all-dev, python-setuptools,
               python-dateutil,
               python-numpy (>= 1:1.4.0),
               python-scipy,
               python-nose <!nocheck>,
               python-matplotlib,
               python-pandas,
               python-patsy,
               python-joblib,
               cython,
               python-tk <!nocheck>,
               python-patsy,
               python-cvxopt,
               dh-python,
               cython3,
               python3-all-dev,
               python3-dateutil,
               python3-cvxopt <!nocheck>,
               python3-matplotlib,
               python3-numpy (>= 1:1.4.0),
               python3-nose,
               python3-pandas,
               python3-patsy <!nocheck>,
               python3-scipy,
               python3-setuptools,
               python3-tk <!nocheck>,
               python3-joblib,
Build-Depends-Indep: ipython3 (>= 5~) <!nodoc> | ipython3-notebook (>= 0.13.1) <!nodoc>,
                     python3-nbconvert <!nodoc>,
                     python3-jupyter-client <!nodoc>,
                     python3-ipykernel <!nodoc>,
                     python3-numpydoc <!nodoc>,
                     python-numpy-doc <!nodoc>,
                     python-patsy-doc <!nodoc>,
                     python-pandas-doc <!nodoc>,
                     python3-doc <!nodoc>,
                     python3-sphinx (>= 1.0.6) <!nodoc>,
                     python3-traitlets <!nodoc>| ipython3-notebook (>= 0.13.1)
Standards-Version: 4.1.0
X-Python-Version: >= 2.7
X-Python3-Version: >= 3.3
Homepage: http://statsmodels.sourceforge.net/
Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/statsmodels.git
Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/statsmodels.git

Package: python-statsmodels
Architecture: all
Depends: ${misc:Depends}, ${python:Depends},
         python-numpy,
         python-scipy,
         python-statsmodels-lib (>= ${source:Version}),
         python-patsy,
         python-pandas
Recommends: python-matplotlib,
            python-joblib,
            python-cvxopt,
Suggests: python-statsmodels-doc,
Provides: ${python:Provides}
Breaks: python-scikits-statsmodels, python-scikits.statsmodels (<< 0.4)
Replaces: python-scikits-statsmodels, python-scikits.statsmodels (<< 0.4)
Description: Python module for the estimation of statistical models
 statsmodels Python module provides classes and functions for the
 estimation of several categories of statistical models. These
 currently include linear regression models, OLS, GLS, WLS and GLS
 with AR(p) errors, generalized linear models for six distribution
 families and M-estimators for robust linear models. An extensive list
 of result statistics are available for each estimation problem.

Package: python-statsmodels-lib
Architecture: any
Depends: ${misc:Depends}, ${python:Depends}, ${shlibs:Depends},
         python-numpy
Breaks: python-scikits-statsmodels, python-scikits.statsmodels (<< 0.4)
Replaces: python-scikits-statsmodels, python-scikits.statsmodels (<< 0.4)
Description: low-level implementations and bindings for statsmodels
 This package contains architecture dependent extensions for
 python-statsmodels.

Package: python-statsmodels-doc
Breaks: python-scikits-statsmodels-doc, python-scikits.statsmodels-doc
Replaces: python-scikits-statsmodels-doc, python-scikits.statsmodels-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}, libjs-requirejs, ${sphinxdoc:Depends}
Recommends: libjs-mathjax
Suggests: python-statsmodels,
 python3-doc,
 python-numpy-doc,
 python-patsy-doc,
 python-pandas-doc,
 python-scipy-doc,
Description: documentation and examples for statsmodels
 This package contains HTML documentation and example scripts for
 python-statsmodels.

Package: python3-statsmodels
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends},
         python3-numpy,
         python3-scipy,
         python3-statsmodels-lib (>= ${source:Version}),
         python3-patsy,
         python3-pandas
Recommends: python3-matplotlib,
            python3-joblib,
            python3-cvxopt,
Suggests: python-statsmodels-doc,
Provides: ${python3:Provides}
Description: Python3 module for the estimation of statistical models
 statsmodels Python3 module provides classes and functions for the
 estimation of several categories of statistical models. These
 currently include linear regression models, OLS, GLS, WLS and GLS
 with AR(p) errors, generalized linear models for six distribution
 families and M-estimators for robust linear models. An extensive list
 of result statistics are available for each estimation problem.

Package: python3-statsmodels-lib
Architecture: any
Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends},
         python3-numpy
Description: Python3 low-level implementations and bindings for statsmodels
 Statsmodels is a Python module for the estimation of statistical models
 .
 This package contains architecture dependent extensions for
 python3-statsmodels.

=== debian/rules ===
#!/usr/bin/make -f
# -*- mode: makefile; coding: utf-8 -*-

# override HOME (for weave) and matplotlib config directory
# to allow building in chroots with read-only HOME
export HOME=$(CURDIR)/build
export MPLCONFIGDIR=$(HOME)

export PY3VER=$(shell py3versions -vd)

export PYBUILD_NAME=statsmodels
export PYBUILD_INSTALL_ARGS=--install-layout=deb
export PYBUILD_TEST_ARGS = --exclude='(test_sarimax)|(test_structural)|(test_dynamic_factor)|(test_varmax)'

%:
	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild

ifeq (,$(filter nocheck,$(DEB_BUILD_PROFILES)))
.PHONY: override_dh_auto_test
endif

# To guarantee HOME existence with mpl 1.3.0
# See https://github.com/matplotlib/matplotlib/issues/2300
#     http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=719384
$(HOME):
	mkdir "$@"
	: # Hardcode backend to Agg to avoid doc build and tests failures
	echo "backend : Agg" >| $(MPLCONFIGDIR)/matplotlibrc

override_dh_auto_build-arch: $(HOME)
	dh_auto_build

override_dh_auto_build-indep: $(HOME)
	: # Documentation depends on built package
	dh_auto_build
	: # I: Generate documentation
	: # Build Documentation -- assure existence of build/html for nodoc
	mkdir -p build/html
ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
	http_proxy=127.0.0.1:9 \
	PYTHONPATH=$(CURDIR)/.pybuild/pythonX.Y_${PY3VER}/build \
	BUILDDIR=$(CURDIR)/build \
	STATSMODELS_DATA=$(CURDIR)/debian/datasets/ \
	 make -C docs html
	mv docs/build/* build/
	: # Fix up links to MathJax to be local
	grep -l '/mathjax/' -R build/html/examples/notebooks \
	| xargs -r sed -i -e 's,https://\S*.org/mathjax/latest/MathJax.js,file:///usr/share/javascript/mathjax/MathJax.js,g'
	: # Replace require
	grep -l '/requirejs/' -R build/html/examples/notebooks \
	| xargs -r sed -i -e 's,https://\S*.com/ajax/libs/require.js/.*/require.min.js,file:///usr/share/javascript/requirejs/require.min.js,g'
	grep -l '/jquery/' -R build/html/examples/notebooks \
	| xargs -r sed -i -e 's,https://\S*.com/ajax/libs/jquery/.*/jquery.min.js,file:///usr/share/javascript/jquery/jquery.min.js,g'
endif

override_dh_installdocs:
	rm -rf docs/source/generated/
	dh_installdocs

override_dh_auto_clean:
	dh_auto_clean
	-rm -rf cythonize.dat \
	       *.egg-info \
	       *.png \
	       docs/build/ \
	       docs/rehab.table \
	       docs/salary.table \
	       docs/source/datasets/generated \
	       docs/source/dev/generated \
	       docs/source/datasets/statsmodels.datasets.*.rst \
	       docs/source/examples/notebooks/generated \
	       examples/executed \
	       statsmodels/tsa/statespace/_statespace.pyx \
	       statsmodels/tsa/regime_switching/_hamilton_filter.pyx \
	       tools/hash_dict.pickle
	: # Remove autogenerated version.py
	rm -f statsmodels/version.py

override_dh_install:
	dh_install
	: # Remove compiled due to testing files
	find debian -name *.pyc -delete
	: # strip docs/ since they aren't really a Python module, there is -doc for it
	: # TODO find debian -wholename \*scikits/statsmodels/docs | xargs rm -rf
	find debian -iname COPYING -o -iname LICENSE* | xargs -r rm -f


## immediately useable documentation and exemplar scripts/data
override_dh_compress:
	dh_compress -X.py -X.html -X.pdf -X.css -X.jpg -X.txt -X.js -X.json -X.rtc -X.inv -Xobjects.inv



## move binary libraries into -lib
override_dh_auto_install:
	dh_auto_install
	for PACKAGE_NAME in python-statsmodels python3-statsmodels; do \
	  for lib in $$(find debian/$${PACKAGE_NAME}/usr -name '*.so'); do \
	     sdir=$$(dirname $$lib) ; \
	     tdir=debian/$${PACKAGE_NAME}-lib/$${sdir#*$${PACKAGE_NAME}/} ; \
	     mkdir -p $$tdir ; \
	     echo "I: Moving '$$lib' into '$$tdir'." ; \
	     mv $$lib $$tdir ; \
	  done ; \
	done
	: # Prune scikits/__init__.py to avoid conflicts
	find debian -wholename \*scikits/__init__.py -delete
	: # Move scikits. space into a compatibility package
	set -e; \
	find debian -wholename \*scikits -type d | while read skd; do \
		skbd=$$(dirname $$skd); \
		skbd_=$$(echo $$skbd | sed -e 's/python-statsmodels/python-scikits.statsmodels/g' \
		                     | sed -e 's/python3-statsmodels/python3-scikits.statsmodels/g'); \
		mkdir -p $$skbd_; \
		mv $$skd $$skbd_; \
	done
	dh_numpy
	dh_numpy3

get-orig-source:
	uscan --upstream-version 0 --rename

=== debian/tests/control ===
Test-Command: set -e
 ; for py in $(pyversions -r 2>/dev/null)
 ; do cd "$ADTTMP" ; echo "Testing with $py:"
 ; $py -c "import statsmodels; print statsmodels"
 ; $py -c "import statsmodels.nonparametric._smoothers_lowess; print(statsmodels.nonparametric._smoothers_lowess)"
 ; done
Depends: python-all, python-statsmodels

Test-Command: set -e
 ; for py in $(py3versions -r 2>/dev/null)
 ; do cd "$ADTTMP" ; echo "Testing with $py:"
 ; $py -c "import statsmodels; print(statsmodels)"
 ; $py -c "import statsmodels.nonparametric._smoothers_lowess; print(statsmodels.nonparametric._smoothers_lowess)"
 ; done
Depends: python3-all, python3-statsmodels

=== debian/watch ===
version=3
opts="uversionmangle=s/rc/~rc/g,filenamemangle=s/.*\/(.*)/statsmodels-$1/" \
 https://github.com/statsmodels/statsmodels/tags .*archive/v([\d\.a-z]+)\.tar\.gz
